"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_libraries_apiLoading = require("../../../common/libraries/apiLoading.js");
const gen_Apis = require("../../../gen/Apis.js");
const ME_instrument_log_show_model = require("./model.js");
const method = {
  handlePreview(index) {
    var _a, _b, _c, _d;
    common_vendor.index.previewImage({
      urls: (_d = (_c = (_b = (_a = ME_instrument_log_show_model.useModel) == null ? void 0 : _a.showData) == null ? void 0 : _b.value) == null ? void 0 : _c.images) == null ? void 0 : _d.map((i) => (i == null ? void 0 : i.url) || ""),
      current: index
    });
  },
  getShow(data) {
    common_libraries_apiLoading.getApiLoading(gen_Apis.Apis.Meter.HouseMeterReadings.Show, data).then((res) => {
      ME_instrument_log_show_model.useModel.showData.value = res == null ? void 0 : res.data;
      console.log(res);
    });
  }
};
exports.method = method;
